import { ResPage } from '@/api/interface'
import { Plan } from './interface'
import { ADMIN as rePrefix } from '@/api/config/serviceName'
import http from '@/api'

/**
 * @name 检测计划管理模块
 */
// 获取检测计划列表
export const getPlanList = (params: Plan.ReqPlanParams) => {
    return http.post<ResPage<Plan.PlanBO>>(`/plan/list`, params)
}

// 新增检测计划
export const addPlan = (params: Plan.PlanBO) => {
  return http.post(`/role/add`, params)
}

// 编辑检测计划
export const editPlan = (params: Plan.PlanBO) => {
  return http.post(`/role/edit`, params)
}

// 删除检测计划
export const deletePlan = (params: { id: string[] }) => {
  return http.post(`/role/del`, params)
}
